Package org.apache.tools.ant.types.optional.image

# Class Arc

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.optional.image.ImageOperation
org.apache.tools.ant.types.optional.image.BasicShape
org.apache.tools.ant.types.optional.image.Arc

All Implemented Interfaces:
  `java.lang.Cloneable`, `DrawOperation`

    public class Arc
    extends BasicShape
    implements DrawOperation

Draw an arc.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`protected int` | `height` |
`protected int` | `start` |
`protected int` | `stop` |
`protected int` | `type` |
`protected int` | `width` |

### Fields inherited from class org.apache.tools.ant.types.optional.image.BasicShape

`fill, stroke, stroke_width`

### Fields inherited from class org.apache.tools.ant.types.optional.image.ImageOperation

`instructions`

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Arc()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`javax.media.jai.PlanarImage` | `executeDrawOperation()` | Abstract method which is intended to create an image buffer and return it so it can be drawn into another object.
`void` | `setHeight​(int height)` | Set the height.
`void` | `setStart​(int start)` | Set the start of the arc.
`void` | `setStop​(int stop)` | Set the stop of the arc.
`void` | `setType​(java.lang.String strType)` | Set the type of arc.
`void` | `setWidth​(int width)` | Set the width.

### Methods inherited from class org.apache.tools.ant.types.optional.image.BasicShape

`setFill, setStroke, setStrokewidth`

### Methods inherited from class org.apache.tools.ant.types.optional.image.ImageOperation

`addDraw, addRectangle, addRotate, addScale, addText`

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### width

protected int width

### height

protected int height

### start

protected int start

### stop

protected int stop

### type

protected int type

## Constructor Details

### Arc

public Arc()

## Method Details

### setWidth

public void setWidth​(int width)
Set the width.

Parameters:
  `width` - the width of the arc.

### setHeight

public void setHeight​(int height)
Set the height.

Parameters:
  `height` - the height of the arc.

### setStart

public void setStart​(int start)
Set the start of the arc.

Parameters:
  `start` - the start of the arc.

### setStop

public void setStop​(int stop)
Set the stop of the arc.

Parameters:
  `stop` - the stop of the arc.

### setType

public void setType​(java.lang.String strType)
Set the type of arc.

Parameters:
  `strType` - the type to use - open, pie or chord.
To do:
  refactor using an EnumeratedAttribute

### executeDrawOperation

public javax.media.jai.PlanarImage executeDrawOperation()
Abstract method which is intended to create an image buffer and return it so it can be drawn into another object. Use an Alpha channel for a "transparent" background..

Specified by:
  `executeDrawOperation` in interface `DrawOperation`
Returns:
  a planar image